%global project_version 0.1
%global flatpak_module_tools_min_version 1.0~a1

Name:		koji-flatpak
Version:	%{project_version}
Release:	1
Summary:	Koji plugins for building Flatpaks

License:	LGPL-2.1-only
URL:		https://pagure.io/koji-flatpak
Source0:	https://releases.pagure.org/koji-flatpak/koji-flatpak-%{project_version}.tar.gz

BuildArch:	noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools


%description
koji-flatpak adds the ability to build Flatpak containers to Koji. It has
plugins for the XMLRPC hub, the builder nodes, and for the Koji command
line.


%package hub
Summary: Flatpak plugin for the Koji XMLRPC hub
Requires: %{name} = %{version}
Requires: koji-hub

%description hub
Flatpak plugin for the Koji XMLRPC hub


%package builder
Summary: Flatpak plugin for the Koji builder nodes
Requires: %{name} = %{version}
Requires: koji-builder
Requires: python3-flatpak-module-tools >= %{flatpak_module_tools_min_version}

%description -n %{name}-builder
Flatpak plugin for the Koji builder nodes


%package cli
Summary: Flatpak plugin for the Koji command line
Requires: %{name} = %{version}
Requires: koji

%description cli
Flatpak plugin for the Koji command line


%prep
%autosetup -p1 -n %{name}-%{project_version}


%build


%install
install -d %{buildroot}/%{_prefix}/lib/koji-hub-plugins
install -p -m 0755 koji_flatpak/plugins/flatpak_hub_plugin.py %{buildroot}/%{_prefix}/lib/koji-hub-plugins/flatpak.py
%py_byte_compile %{__python3} %{buildroot}/%{_prefix}/lib/koji-hub-plugins/flatpak.py

install -d %{buildroot}/%{_prefix}/lib/koji-builder-plugins
install -p -m 0755 koji_flatpak/plugins/flatpak_builder_plugin.py %{buildroot}/%{_prefix}/lib/koji-builder-plugins/flatpak.py
%py_byte_compile %{__python3} %{buildroot}/%{_prefix}/lib/koji-builder-plugins/flatpak.py

install -d %{buildroot}%{python3_sitelib}/koji_cli_plugins
install -p -m 0644 koji_flatpak/plugins/flatpak_cli_plugin.py %{buildroot}%{python3_sitelib}/koji_cli_plugins/flatpak.py
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}/koji_cli_plugins/flatpak.py


%files
%license COPYING
%doc README.md

%files hub
%{_prefix}/lib/koji-hub-plugins

%files builder
%{_prefix}/lib/koji-builder-plugins

%files cli
%{python3_sitelib}/koji_cli_plugins


%changelog
* Thu Aug 10 2023 Owen Taylor <otaylor@redhat.com> - 0.1-1
- Initial version
